"use client";

import Header from "@components/base/header";
import { useThemeContext } from "app/theme-context";
import { useRouter } from "next/navigation";

export default function PageHeader({ searchParams }) {
  const { theme, toggleTheme } = useThemeContext();
  const router = useRouter();

  const currentPage = 1; // Assuming currentPage is constant for now
  const search = searchParams.search;

  const handleSearch = (value) => {
    const query = value
      ? `?page=${currentPage}&search=${value}`
      : `?page=${currentPage}`;
    router.push(query);
  };

  const handleClear = () => {
    router.push(`/?page=${currentPage}`);
  };

  return (
    <Header
      name="NewsBlog"
      currentTheme={theme}
      onThemeChange={toggleTheme}
      onSearch={handleSearch}
      onClear={handleClear}
      value={search}
    />
  );
}
